CurvedDimensionSetRadial Class |
The CurvedDimensionSetRadial class defines a curved dimension set with radial reference lines.
Inheritance Hierarchy
SystemObject
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingDimensionSetBase
Tekla.Structures.DrawingCurvedDimensionSetBase
Tekla.Structures.DrawingCurvedDimensionSetRadial
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingDimensionSetBase
Tekla.Structures.DrawingCurvedDimensionSetBase
Tekla.Structures.DrawingCurvedDimensionSetRadial
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2023.0.3
Syntax
The CurvedDimensionSetRadial type exposes the following members.
Properties
Name | Description | |
---|---|---|
ArcPoint1 |
Gets the first arc point.
(Inherited from CurvedDimensionSetBase.) | |
ArcPoint2 |
Gets the second arc point.
(Inherited from CurvedDimensionSetBase.) | |
ArcPoint3 |
Gets the third arc point.
(Inherited from CurvedDimensionSetBase.) | |
Attributes |
The curved dimension set radial attributes.
| |
DimensionPoints |
Gets a list of the dimension points.
(Inherited from CurvedDimensionSetBase.) | |
Distance |
Gets the distance.
The distance is measured in paper millimeters.
(Inherited from CurvedDimensionSetBase.) | |
Hideable |
Accesses the information if this object is hidden or not or if it should be.
(Inherited from DimensionSetBase.) | |
QueryReturnValue |
Status information about the latest database operation (select, insert, modify, delete).
(Inherited from DatabaseObject.) |
Methods
Name | Description | |
---|---|---|
AddToDimensionSet |
Adds a dimension set to the current dimension set.
(Inherited from DimensionSetBase.) | |
Delete |
Deletes the dimension set and its child dimensions from the database.
(Inherited from CurvedDimensionSetBase.) | |
GetDoubleUserProperties(DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetDoubleUserProperties(ListString, DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetDrawing |
Gets the drawing where the drawing object is.
(Inherited from DrawingObject.) | |
GetIntegerUserProperties(DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetIntegerUserProperties(ListString, DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetObjects |
Gets the children straight dimensions of the current straight dimension set.
(Inherited from DimensionSetBase.) | |
GetObjects(Type) |
Gets the children straight dimensions of the current straight dimension set that are of certain types.
(Inherited from DimensionSetBase.) | |
GetRelatedObjects |
Gets the related objects of the current object.
(Inherited from DrawingObject.) | |
GetRelatedObjects(Type) |
Gets the related objects of the current object that are of certain types.
(Inherited from DrawingObject.) | |
GetStringUserProperties(DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetStringUserProperties(ListString, DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetUserProperty(String, Double) |
Gets a double property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
GetUserProperty(String, Int32) |
Gets an integer property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
GetUserProperty(String, String) |
Gets a string property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
GetView |
Gets the view where the drawing object is.
(Inherited from DrawingObject.) | |
Insert |
Curved dimensions are created using the curved dimension set handler.
(Inherited from CurvedDimensionSetBase.) | |
IsEqual |
Compares the current object with an object of the same type.
(Overrides DrawingObjectIsEqual(Object).) | |
IsSameDatabaseObject |
Returns true if the current object and the given object are referencing the same database object.
(Inherited from DatabaseObject.) | |
Modify |
Modifies the existing dimension set in the database.
(Inherited from CurvedDimensionSetBase.) | |
Select |
Selects the dimension set from the database.
(Inherited from CurvedDimensionSetBase.) | |
SetUserProperty(String, Double) |
Sets a double property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
SetUserProperty(String, Int32) |
Sets an integer property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
SetUserProperty(String, String) |
Sets a string property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
ToString |
Changes the string presentation of the drawing object.
(Inherited from DrawingObject.) |
Examples
The following code asks the user to pick three points and then creates a
dimension between the points with a 50 mm distance:
using Tekla.Structures.Drawing; using Tekla.Structures.Drawing.UI; using Tekla.Structures.Geometry3d; public class Example { static void PickPoints(int numberToPick, ref PointList pointList, ref ViewBase view) { Picker picker = new DrawingHandler().GetPicker(); Point point; while (--numberToPick != -1) { picker.PickPoint("Pick point", out point, out view); pointList.Add(point); } } static void CreateDimension() { double Distance = 50.0; PointList pointList = new PointList(); ViewBase view = null; PickPoints(3, ref pointList, ref view); new CurvedDimensionSetHandler().CreateCurvedDimensionSetRadial(view, pointList[0], pointList[1], pointList[2], pointList, Distance); } }
See Also